Skip to content

Reorder template files

Request

Reorders the files of the specified template.

Security
Bearer or PersonalAccessToken
Path
organizationIdstring, (uuid)required

Unique identifier of the organization

templateIdstring, (uuid)required

Unique identifier of the template

Bodyapplication/jsonrequired
filesArray of objects(FileSortOrder)required

The new file ordering.

PATCH
/api/v1/organizations/{organizationId}/templates/{templateId}/files
curl -i -X PATCH \
  '/api/v1/organizations/{organizationId}/templates/{templateId}/files' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "files": [
      {
        "id": "00000000-0000-0000-0000-000000000001",
        "sortOrder": 1
      },
      {
        "id": "00000000-0000-0000-0000-000000000002",
        "sortOrder": 2
      }
    ]
  }'

Responses

No Content

Response
No content